[Tutorial] BG(II):EE-Mods mit funktionierender deutscher Version

White Agnus

Senior Member
Registriert
05.09.2008
Beiträge
5.088
Tja und nun kommen meine unvermeidlichen Fragen dazu. Da ich schon etwas länger keine Installation mehr gemacht habe weiß ich nicht mehr so genau, ob ich bei den Mods deren TRAs noch im Ansi-Format vorliegen diese manuell konvertieren muss oder ob das während der Installation automatisch geht?

Wenn du ne iconv.exe im Modordner findest (kann sich überall befinden...), oder du was mit HANDLE_CHARSETS in der tp2 findest, macht der Mod die Konvertierung selbst... ;)

Ob nachträglich installierbar müsstest du testen, bzw. die Readmes durchschaun ob dazu etwas steht... ;)
 

Lilith

Dark Mistress
Registriert
30.10.2004
Beiträge
2.206
Vielen Dank. Das werde ich gleich mal prüfen.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Alle gelisteten Mods sind im ersten Post ergänzt. Es ist aber mittlerweile zu überlegen, ob man nicht eher nur eine Ausschlussliste pflegt, da die kompatibel-Liste natürlich gnadenlos veraltet ist.
 

Mumme

Verhüllter Enthüller
Registriert
15.05.2003
Beiträge
1.190
@Lilith: Wie kommst du darauf, dass banterpack eine funktionierende deutsche Übersetzung hat? Zumindest für dieses gilt:
Linux:~$ file --mime /data/Spiele/GOGGames/Baldurs\ Gate\ 2\ Enhanced\ Edition/game/banterpack/german/banter-soa.tra
/data/Spiele/GOGGames/Baldurs Gate 2 Enhanced Edition/game/banterpack/german/banter-soa.tra: text/plain; charset=iso-8859-1
Oder meintest du ein anderes "banterpack" ?

Leider ist das Problem erst nach mehreren Stunden Spielzeit aufgetreten ... kann man das irgendwie nachträglich beheben? :confused:
Büdde, büdde! Denn leider friert das Spiel jetzt ein sobald Jaheira etwas zu Lilarcor sagen möchte...
 
Zuletzt bearbeitet:

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Ich habe neue Versionen von Banter Pack und dem NPC Flirtpack erstellt, die die deutsche Version für die EE wiederherstellen (und noch mehr).

Bitte installieren und Bugreports geben!

Banter Pack

Flirtpack
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Dieser Thread handelt darum, dass es Mods gibt /gab, die vom Code her BG(II):EE kompatibel sind, bei denen aber die deutsche Version nicht spielbar ist, weil die Mods nicht die korrekte utf-8 Umwandlung der Texte vornehmen (was beim Spielen zum Absturz führt).
Da ich erst vor 3 Monaten noch neue Versionen von Banterpack und Flirtpack erstellt habe, bei denen das nicht so war, glaube ich Dir kein Wort. ;)
 

Maus

Senior Member
Registriert
07.08.2002
Beiträge
8.244
War eh falsch, weil ich es für den anderen angepinnten Thread gedacht hatte, weil halt neue Mods da drin stehen... die Anleitung für SoD hat allerdings bei mir das Spiel ruiniert... muss ich mal neu installieren, wird von daher lustig.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Stimmt, habe da den Link aktualisiert.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Die Links im ersten Post sind aktualisiert und ergänzt.

Sagt bescheid, wenn Ihr Mods mit spielbarer deutscher Version für die EE habt!

Wenn Ihr eine Mod mit deutscher Version in ein EE-Spiel installieren wollt aber unsicher seid, ob die deutsche Version auch unterstützt wird, dann fragt nach! <- Wobei man davon ausgehen kann, dass neu erstellte Mods, die eventuell auch nur mit den EE-Spielen kompatibel sind, die Textumwandlung richtig machen. Es geht vor allem um ältere, für die EE umgewandelte Mods, bei der die utf-8 Formatierung der Texte nicht berückscihtigt waurde.
 

Jarlaxle

Senior Member
Registriert
20.06.2008
Beiträge
425
Hallo,

ich weiß nicht, ob diese Liste noch gepflegt wird (oder es eine aktuellere gibt), aber, falls ja, ließe sich hier noch die Amber-mod hinzufügen.

Ich habe gerade bis zum Ende durchgespielt und die Mod funktioniert einwandfrei.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Danke, ich habe es eingetragen.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Habe mal zumindest die ganzen neuen Kerzenburgmods in die Liste im ersten Post eingetragen.
 

Jarlaxle

Senior Member
Registriert
20.06.2008
Beiträge
425
Gibt es einen Grund, weshalb man die Mod "The Grey Clan Episode" für EET nirgendwo mehr in den Listen der für EET verfügbaren Mods findet?
In früheren EET-Installationen ist die Mod bei mir enthalten gewesen und lief fehlerfrei.

Spricht etwas dagegen, wenn ich eine Version verwende, die ich vor 1,5 Jahren herunter geladen habe ?
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.879
Da bin ich überfragt. Wenn die EET Version vor anderthalb Jahren ging, sollte sie jetzt auch funktionieren. Ich könnte mir vorstellen, dass es sich wieder um eine Roxanne Spezialversion handelt. Vielleicht hat der Originalautor darauf bestanden, dass sie diese zurückzieht. Das ist aber eine reine Vermutung, ich möchte keine Gerüchte in die Welt setzen.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709

Jarlaxle

Senior Member
Registriert
20.06.2008
Beiträge
425
Danke @Jastey , genau so eine Liste habe ich gesucht.

Ich rege an, diesen Link auch dem Thema "Modding Eures BG(II)EE-Spieles - Bitte beachten!" im Eingangsbeitrag hinzuzufügen.
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Sehr guter Hinweis, ist eingefügt.
 

Jarl

Senior Member
Registriert
28.04.2006
Beiträge
934
Ist es noch sinnvoll, diesen Thread weiter zu aktualisieren? In dem Fall würde ich das tun. Oder ist die Frage nach funktionierender dt. Übersetzung mittlerweile weitgehend überholt?
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
10.709
Hmm - bis darauf, dass es Mods mit Bugs gibt wo es nicht funktioniert (Amber ist momentan so ein Kandidat, bei Keto bin ich mir nicht sicher, ebenso der NPC Wraith N'thaniel oder so ähnlich) müssten mittlerweile eigentlich so gut wie alle Mods, die für die EE kompatibel gemacht wurden, auch in der EE die Sprachversionen richtig installieren. :hae:
Danke für das Angebot!
 
Oben